# zbot/plugs/find.py
#
#

""" output a set of objects. """

## IMPORTS

from zbot.utils import time_string, time_stamp
from zbot import kernel

import logging

## do_find command

daylist = ["Date", "ctime", "path"]

def do_find(event):
    opts = event.opts
    for obj in event.objects():
        go = True ; res = ""
        for opt in opts:
            try:
                if opts[opt] not in str(obj[opt]): go = False 
            except KeyError: pass
        if not go: continue
        for arg in event.args:
            try:
                if getattr(obj, arg): res += "%s%s" % (obj[arg], " -=- ")
            except: continue
        if res: event.reply(res[:-5])

kernel.cmnds.register("find", do_find)
